+++ /dev/null
-
--Gnome: Utiliser --disable-accessibility pour tous les packages?
+++ /dev/null
-../stage2/cis-ac
\ No newline at end of file
+++ /dev/null
-../stage2/cis-ac-nobuild
\ No newline at end of file
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# In order to build the documentation using GTK-Doc, to fix a build problem.
-cd ${LFS_TMP}/${1} &&
-mv docs/gal-decl.txt docs/gal-2.4-decl.txt &&
-mv docs/gal-sections.txt docs/gal-2.4-sections.txt &&
-sed -i -e "s/gal-decl/gal-2.4-decl/" \
- -e "s/gal-sections/gal-2.4-sections/" docs/Makefile.in &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --localstatedir=/var/lib \
- --infodir=${GNOME2_PREFIX}/share/info \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Common installation script
-./cis-gnome ${*}
-
-# Custom post-installation
-install -v -m755 -d /etc/gnome/${GNOME2_VER}/gconf/gconf.xml.system &&
-
-# Configure D-Bus so that it can search for GNOME installed .conf files
-# (This is assuming that system-local.conf does not exist yet. If it does,
-# then you will need to merge in the changes):
-dbusfile=/etc/dbus-1/system-local.conf &&
-if [ -f ${dbusfile} ]; then
- cat ${dbusfile} >> ${dbusfile}.old
- echo "Warning, file ${dbusfile} already exists,"
- echo "appending content to \"${dbusfile}.old\""
-fi &&
-
-cat > ${dbusfile} << "EOF" &&
-<!DOCTYPE busconfig PUBLIC
- "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
- "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
-<busconfig>
-
-EOF
-echo " <!-- Search for .conf files in /etc/gnome/${GNOME2_VER}/dbus-1/system.d -->" >> ${dbusfile} &&
-echo " <includedir>/etc/gnome/${GNOME2_VER}/dbus-1/system.d</includedir>" >> ${dbusfile} &&
-echo "</busconfig>" >> ${dbusfile}
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-hv_groupadd -g 21 gdm &&
-hv_useradd -c "GDM_Daemon_Owner" -d /dev/null -g gdm -s /bin/bash -u 21 gdm &&
-
-CFLAGS="${CFLAGS} -ldl"
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --localstatedir=/var/lib \
- --infodir=${GNOME2_PREFIX}/share/info \
- --with-pam-prefix=/etc \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-install -v -m755 -d /var/log/gdm &&
-
-# Changing the directory containing the GDM log files to the /var/log hierarchy.
-sed -i.orig "/\[daemon\]/ a LogDir=/var/log/gdm" \
- /etc/gnome/${GNOME2_VER}/gdm/custom.conf &&
-rmdir -v /var/lib/log/gdm &&
-rmdir -v /var/lib/log &&
-
-cat > /etc/pam.d/gdm << "EOF" &&
-auth required pam_unix.so
-auth required pam_nologin.so
-account required pam_unix.so
-password required pam_unix.so
-session required pam_unix.so
-EOF
-
-cat > /etc/pam.d/gdm-autologin << "EOF" &&
-auth required pam_env.so
-auth required pam_nologin.so
-auth required pam_permit.so
-account required pam_unix.so
-password required pam_unix.so
-session required pam_unix.so
-EOF
-
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE}-build &&
-../${PACKAGE}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --localstatedir=/var/lib \
- ${CONFIGURE_OPTS} &&
-make &&
-make install &&
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-make -C man install-man &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-make prefix=${GNOME2_PREFIX} install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# For Gnome 2 variables
-var_add_path "PATH" /etc/profile "/opt/${GNOME2_VER}/bin" &&
-var_export "PATH" /etc/profile &&
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/lib/pkgconfig" &&
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/share/pkgconfig" &&
-var_export "PKG_CONFIG_PATH" /etc/profile &&
-var_add_path "LIBGLADE_MODULE_PATH" /etc/profile "${GNOME2_PREFIX}/lib/libglade/2.0" &&
-var_export "LIBGLADE_MODULE_PATH" /etc/profile &&
-var_add_path "XDG_CONFIG_DIRS" /etc/profile "/etc/gnome/${GNOME2_VER}/xdg" &&
-var_export "XDG_CONFIG_DIRS" /etc/profile &&
-
-# For Gnome 1 and 2 common variable
-var_add_path "GNOME_LIBCONFIG_PATH" /etc/profile "/usr/lib" &&
-var_export "GNOME_LIBCONFIG_PATH" /etc/profile &&
-
-string_add "/opt/${GNOME2_VER}/lib" /etc/ld.so.conf &&
-
-var_add_path "MANPATH" /etc/profile "/opt/${GNOME2_VER}/man" &&
-var_export "MANPATH" /etc/profile &&
-
-# There is a third mechanism for customizing the search path. If a
-# `dirlist' file exists in acdir, then that file is assumed to contain a
-# list of directories, one per line, to be added to the search list. These
-# directories are searched after all other directories.
-touch /usr/share/aclocal/dirlist &&
-string_add "/opt/${GNOME2_VER}/share/aclocal" /usr/share/aclocal/dirlist &&
-
-cat > /etc/skel/.gtkrc-2.0 << "EOF" &&
-gtk-icon-theme-name="Tango"
-EOF
-
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-./cis-gnome ${1} &&
-gst-register
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --localstatedir=/var/lib \
- ${CONFIGURE_OPTS} &&
-make &&
-make install &&
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=/usr \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-
-ln -svf /usr/share/gnome/help/gnumeric \
- /usr/share/gnumeric/$(get_pkg_ver ${1})/doc &&
-
-if [ $(pkg-config --variable=prefix ORBit-2.0) != "/usr" ]; then
- mv -v /usr/lib/bonobo/servers/GNOME_Gnumeric.server \
- $(pkg-config --variable=prefix ORBit-2.0)/lib/bonobo/servers &&
- rmdir -v /usr/lib/{bonobo/servers,bonobo}
-fi &&
-
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE}-build &&
-../${PACKAGE}/configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- ${CONFIGURE_OPTS} &&
-make &&
-make pkgconfigdir=/usr/lib/pkgconfig install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/usr \
- --sysconfdir=/etc &&
-make &&
-make install &&
-cd ${LFS_TMP}/${1} &&
-install -v -m644 -D docs/mb_howto.txt /usr/share/doc/${1}/mb_howto.txt &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/usr \
- --libexecdir=/usr/lib/metacity \
- --with-gconf-schema-file-dir=/etc/gnome/${GNOME2_VER}/gconf/schemas \
- --sysconfdir=/etc &&
-make &&
-make install &&
-cd ${LFS_TMP}/${1} &&
-install -v -m755 -d /usr/share/doc/${1} &&
-install -v -m644 README rationales.txt doc/*.txt /usr/share/doc/${1} &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --localstatedir=/var/lib \
- --infodir=${GNOME2_PREFIX}/share/info \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-install -v -m755 -d ${GNOME2_PREFIX}/share/doc/${NAUTILUS} &&
-install -v -m644 ${LFS_TMP}/${1}/docs/*.{txt,dia,pdf,sxw,faq,html} \
- ${GNOME2_PREFIX}/share/doc/${NAUTILUS} &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# Must be defined before sourcing other files.
-LFS_STAGE="stage4"
-
-# Reading system configuration informations, functions and package versions.
-source ../functions
-source ../functions-update
-source ../packages-list
-
-update_packages_init
-
-# Begin
-
-# Gnome 2 core packages
-fpkg_gnome ${ORBIT2}
-fpkg_gnome ${LIBBONOBO}
-fpkg_gnome ${GCONF}
-fpkg_gnome ${GNOME_MIME_DATA}
-fpkg_gnome ${GNOME_VFS}
-fpkg_gnome ${GNOME_VFS_MONIKERS}
-fpkg_gnome ${LIBGNOME}
-fpkg_gnome ${LIBGNOMECANVAS}
-fpkg_gnome ${LIBBONOBOUI}
-fpkg_gnome ${GNOME_ICON_THEME}
-fpkg_gnu ${LIBTASN1}
-fpkg_gnome ${GNOME_KEYRING}
-fpkg_gnome ${LIBGNOMEUI}
-fpkg_gnome ${GNOME_THEMES}
-fpkg_gnome ${SCROLLKEEPER}
-fpkg_gnome ${GNOME_DOC_UTILS}
-fpkg_gnome ${GNOME_DESKTOP}
-fpkg_gnome ${GNOME_BACKGROUNDS}
-fpkg_gnome ${GNOME_MENUS}
-fpkg_gnome ${GNOME_PANEL}
-fpkg_gnome ${GNOME_SESSION}
-fpkg_gnome ${VTE}
-fpkg_gnome ${GNOME_TERMINAL}
-fpkg_gnome ${LIBGTOP}
-fpkg_gnome ${LIBGNOMEKBD}
-fpkg_gnome ${LIBGAIL_GNOME}
-fpkg_gnome ${GNOME_APPLETS}
-fpkg_gnome ${EEL}
-fpkg_gnome ${NAUTILUS}
-fpkg_gnome ${YELP}
-fpkg_gnome ${METACITY}
-fpkg_gnome ${GNOME_CONTROL_CENTER}
-fpkg_gnome ${GNOME_USER_DOCS}
-
-# Gnome 2 additional packages - Libraries
-fpkg_gnome ${LIBGNOMECUPS}
-fpkg_gnome ${LIBGNOMEPRINT}
-fpkg_gnome ${LIBGNOMEPRINTUI}
-fpkg_gnome ${GTKHTML}
-fpkg_gnome ${EVOLUTION_DATA_SERVER}
-fpkg_gnome ${GTKSOURCEVIEW}
-fpkg_gnome ${SYSTEM_TOOLS_BACKENDS}
-fpkg_gnome ${GNOME_AUDIO}
-
-# Gnome 2 additional packages - Utilities
-fpkg_gnome ${GEDIT}
-fpkg_gnome ${EOG}
-fpkg_gnome ${EVINCE}
-fpkg_gnome ${FILE_ROLLER}
-fpkg_gnome ${GCONF_EDITOR}
-fpkg_gnome ${GNOME_UTILS}
-fpkg_gnome ${GNOME_SYSTEM_MONITOR}
-fpkg_gnome ${NAUTILUS_CD_BURNER}
-fpkg_gnome ${GSTREAMER}
-fpkg_gnome ${GST_PLUGINS_BASE}
-fpkg ${GST_PLUGINS_GOOD} "http://gstreamer.freedesktop.org/src/gst-plugins-good"
-fpkg ${GST_PLUGINS_BAD} "http://gstreamer.freedesktop.org/src/gst-plugins-bad"
-fpkg ${GST_PLUGINS_UGLY} "http://gstreamer.freedesktop.org/src/gst-plugins-ugly"
-fpkg ${GST_FFMPEG} "http://gstreamer.freedesktop.org/src/gst-ffmpeg"
-fpkg_gnome ${GNOME_MEDIA}
-fpkg_gnome ${GNOME_NETSTATUS}
-fpkg_gnome ${GCALCTOOL}
-fpkg_gnome ${GUCHARMAP}
-fpkg_gnome ${ZENITY}
-
-fpkg_gnome ${GNOME_KEYRING_MANAGER}
-fpkg_gnome ${GNOME_VOLUME_MANAGER}
-fpkg ${LIBMUSICBRAINZ} "http://ftp.musicbrainz.org/pub/musicbrainz"
-fpkg_gnome ${GNOME_SOUND_JUICER}
-fpkg ${ISO_CODES} "ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes"
-
-fpkg_gnome ${GNOME_TOTEM}
-fpkg_gnome ${GDM}
-fpkg ${LIBNOTIFY} "http://www.galago-project.org/files/releases/source/libnotify"
-fpkg ${GNOME_MOUNT} "http://people.freedesktop.org/~david/dist"
-
-fpkg_gnome ${RHYTHMBOX}
-
-fpkg_gnome ${LIBGSF}
-fpkg_gnome ${GOFFICE}
-fpkg_gnome ${GNUMERIC}
-fpkg_sf ${WV}
-fpkg ${ABIWORD} "http://www.abisource.com/downloads/abiword/$(get_pkg_ver ${ABIWORD})/source"
-
-fpkg_gnome ${EVOLUTION_EXCHANGE}
-fpkg_gnome ${EVOLUTION}
-
-fpkg ${LIBGPG_ERROR} "http://ftp.gnupg.org/gcrypt/libgpg-error"
-fpkg ${LIBGCRYPT} "http://ftp.gnupg.org/gcrypt/libgcrypt"
-fpkg ${GNUTLS} "http://ftp.gnupg.org/gcrypt/gnutls"
-fpkg_sf ${PIDGIN}
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
- echo "You must be the superuser to install hvlinux."
- exit 1
-fi
-
-init_log_file
-
-ipkg_gnome ${LIBGNOMECUPS}
-ipkg_gnome ${EVINCE}
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
- echo "You must be the superuser to install hvlinux."
- exit 1
-fi
-
-init_log_file
-
-# GNOME-2.X configuration
-action_checkbox "Configuring ${GNOME2_VER}" ./cis-gnome-config
-action_checkbox "Reloading /etc/profile" source /etc/profile
-
-# Gnome 2 core packages
-ipkg_gnome ${ORBIT2}
-ipkg_gnome ${LIBBONOBO}
-ipkg_cust ${GCONF} cis-gconf
-ipkg_gnome ${GNOME_MIME_DATA}
-####ipkg_cust ${GNOME_VFS} cis-gnome-nb
-####ipkg_gnome ${GNOME_VFS_MONIKERS}
-ipkg_gnome ${LIBGNOME}
-ipkg_gnome ${LIBGNOMECANVAS}
-ipkg_gnome ${LIBBONOBOUI}
-ipkg_ac ${GNOME_ICON_THEME}
-ipkg_ac ${LIBTASN1}
-ipkg_gnome ${GNOME_KEYRING}
-ipkg_gnome ${LIBGNOMEUI}
-ipkg_ac ${GNOME_THEMES}
-ipkg_ac_nb ${SCROLLKEEPER} "--localstatedir=/var --disable-static --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf"
-ipkg_gnome ${GNOME_DOC_UTILS}
-ipkg_gnome ${GNOME_DESKTOP}
-ipkg_gnome ${GNOME_BACKGROUNDS}
-ipkg_gnome ${GNOME_MENUS}
-ipkg_gnome ${GNOME_PANEL}
-ipkg_ac ${GSTREAMER}
-ipkg_ac ${GST_PLUGINS_BASE}
-ipkg_ac ${GST_PLUGINS_GOOD}
-ipkg_ac ${GST_PLUGINS_BAD}
-ipkg_ac ${GST_PLUGINS_UGLY}
-ipkg_ac ${GST_FFMPEG}
-ipkg_ac ${VTE} "--libexecdir=/usr/sbin --disable-gtk-doc"
-ipkg_gnome ${GNOME_TERMINAL}
-ipkg_gnome ${LIBGTOP}
-ipkg_gnome ${LIBGNOMEKBD}
-ipkg_gnome ${LIBGAIL_GNOME}
-ipkg_cust ${GNOME_APPLETS} cis-gnome-applets
-ipkg_gnome ${EEL}
-ipkg_gnome ${NAUTILUS}
-ipkg_gnome ${YELP}
-ipkg_cust ${METACITY} cis-metacity
-
-ipkg_gnome ${GNOME_CONTROL_CENTER}
-ipkg_gnome ${GNOME_SESSION}
-ipkg_gnome ${GNOME_USER_DOCS}
-action_checkbox "Updating the MIME-type application database" update-desktop-database
-
-# Gnome 2 additional packages - Libraries
-####ipkg_gnome ${LIBGNOMECUPS}
-####ipkg_gnome ${LIBGNOMEPRINT}
-####ipkg_gnome ${LIBGNOMEPRINTUI}
-ipkg_gnome ${GTKHTML}
-ipkg_gnome ${EVOLUTION_DATA_SERVER} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
-ipkg_gnome ${GTKSOURCEVIEW}
-ipkg_cust ${SYSTEM_TOOLS_BACKENDS} cis-gnome-nobuild
-ipkg_cust ${GNOME_AUDIO} cis-gnome-audio
-
-# Gnome 2 additional packages - Utilities
-ipkg_gnome ${GEDIT} "--disable-spell"
-ipkg_gnome ${EOG}
-ipkg_gnome ${EVINCE}
-ipkg_gnome ${FILE_ROLLER}
-ipkg_gnome ${GCONF_EDITOR}
-ipkg_gnome ${GNOME_UTILS}
-ipkg_gnome ${GNOME_SYSTEM_MONITOR}
-ipkg_gnome ${NAUTILUS_CD_BURNER}
-ipkg_gnome ${GNOME_MEDIA}
-ipkg_gnome ${GNOME_NETSTATUS}
-ipkg_cust ${GCALCTOOL} cis-gnome-nobuild
-ipkg_gnome ${GUCHARMAP}
-ipkg_gnome ${ZENITY}
-ipkg_gnome ${GNOME_KEYRING_MANAGER}
-
-# Needs hal, which needs D-BUS...
-ipkg_gnome ${GNOME_VOLUME_MANAGER}
-
-ipkg_cust ${LIBMUSICBRAINZ} cis-libmusicbrainz
-ipkg_gnome ${GNOME_SOUND_JUICER}
-ipkg_cust ${ISO_CODES} cis-iso-codes
-ipkg_gnome ${GNOME_TOTEM}
-ipkg_cust ${GDM} cis-gdm
-ipkg_ac ${LIBNOTIFY}
-ipkg_cust ${GNOME_MOUNT} cis-gnome-nobuild
-
-ipkg_ac ${RHYTHMBOX} "--disable-python"
-
-ipkg_ac ${LIBGSF}
-ipkg_ac_nb ${GOFFICE}
-ipkg_cust ${GNUMERIC} cis-gnumeric
-ipkg_ac ${WV}
-ipkg_ac ${ABIWORD} "--disable-spellcheck"
-ipkg_gnome ${EVOLUTION} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
-ipkg_gnome ${EVOLUTION_EXCHANGE}
-ipkg_ac ${LIBGPG_ERROR}
-ipkg_ac ${LIBGCRYPT}
-ipkg_ac ${GNUTLS}
-ipkg_ac ${PIDGIN}
-
-exit $?
--- /dev/null
+
+-Gnome: Utiliser --disable-accessibility pour tous les packages?
--- /dev/null
+../stage2/cis-ac
\ No newline at end of file
--- /dev/null
+../stage2/cis-ac-nobuild
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# In order to build the documentation using GTK-Doc, to fix a build problem.
+cd ${LFS_TMP}/${1} &&
+mv docs/gal-decl.txt docs/gal-2.4-decl.txt &&
+mv docs/gal-sections.txt docs/gal-2.4-sections.txt &&
+sed -i -e "s/gal-decl/gal-2.4-decl/" \
+ -e "s/gal-sections/gal-2.4-sections/" docs/Makefile.in &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --localstatedir=/var/lib \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Common installation script
+./cis-gnome ${*}
+
+# Custom post-installation
+install -v -m755 -d /etc/gnome/${GNOME2_VER}/gconf/gconf.xml.system &&
+
+# Configure D-Bus so that it can search for GNOME installed .conf files
+# (This is assuming that system-local.conf does not exist yet. If it does,
+# then you will need to merge in the changes):
+dbusfile=/etc/dbus-1/system-local.conf &&
+if [ -f ${dbusfile} ]; then
+ cat ${dbusfile} >> ${dbusfile}.old
+ echo "Warning, file ${dbusfile} already exists,"
+ echo "appending content to \"${dbusfile}.old\""
+fi &&
+
+cat > ${dbusfile} << "EOF" &&
+<!DOCTYPE busconfig PUBLIC
+ "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
+ "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
+<busconfig>
+
+EOF
+echo " <!-- Search for .conf files in /etc/gnome/${GNOME2_VER}/dbus-1/system.d -->" >> ${dbusfile} &&
+echo " <includedir>/etc/gnome/${GNOME2_VER}/dbus-1/system.d</includedir>" >> ${dbusfile} &&
+echo "</busconfig>" >> ${dbusfile}
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+hv_groupadd -g 21 gdm &&
+hv_useradd -c "GDM_Daemon_Owner" -d /dev/null -g gdm -s /bin/bash -u 21 gdm &&
+
+CFLAGS="${CFLAGS} -ldl"
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --localstatedir=/var/lib \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --with-pam-prefix=/etc \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+install -v -m755 -d /var/log/gdm &&
+
+# Changing the directory containing the GDM log files to the /var/log hierarchy.
+sed -i.orig "/\[daemon\]/ a LogDir=/var/log/gdm" \
+ /etc/gnome/${GNOME2_VER}/gdm/custom.conf &&
+rmdir -v /var/lib/log/gdm &&
+rmdir -v /var/lib/log &&
+
+cat > /etc/pam.d/gdm << "EOF" &&
+auth required pam_unix.so
+auth required pam_nologin.so
+account required pam_unix.so
+password required pam_unix.so
+session required pam_unix.so
+EOF
+
+cat > /etc/pam.d/gdm-autologin << "EOF" &&
+auth required pam_env.so
+auth required pam_nologin.so
+auth required pam_permit.so
+account required pam_unix.so
+password required pam_unix.so
+session required pam_unix.so
+EOF
+
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} \
+ --localstatedir=/var/lib \
+ ${CONFIGURE_OPTS} &&
+make &&
+make install &&
+ldconfig
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --localstatedir=/var/lib \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+make -C man install-man &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1} &&
+make prefix=${GNOME2_PREFIX} install
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# For Gnome 2 variables
+var_add_path "PATH" /etc/profile "/opt/${GNOME2_VER}/bin" &&
+var_export "PATH" /etc/profile &&
+var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/lib/pkgconfig" &&
+var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/share/pkgconfig" &&
+var_export "PKG_CONFIG_PATH" /etc/profile &&
+var_add_path "LIBGLADE_MODULE_PATH" /etc/profile "${GNOME2_PREFIX}/lib/libglade/2.0" &&
+var_export "LIBGLADE_MODULE_PATH" /etc/profile &&
+var_add_path "XDG_CONFIG_DIRS" /etc/profile "/etc/gnome/${GNOME2_VER}/xdg" &&
+var_export "XDG_CONFIG_DIRS" /etc/profile &&
+
+# For Gnome 1 and 2 common variable
+var_add_path "GNOME_LIBCONFIG_PATH" /etc/profile "/usr/lib" &&
+var_export "GNOME_LIBCONFIG_PATH" /etc/profile &&
+
+string_add "/opt/${GNOME2_VER}/lib" /etc/ld.so.conf &&
+
+var_add_path "MANPATH" /etc/profile "/opt/${GNOME2_VER}/man" &&
+var_export "MANPATH" /etc/profile &&
+
+# There is a third mechanism for customizing the search path. If a
+# `dirlist' file exists in acdir, then that file is assumed to contain a
+# list of directories, one per line, to be added to the search list. These
+# directories are searched after all other directories.
+touch /usr/share/aclocal/dirlist &&
+string_add "/opt/${GNOME2_VER}/share/aclocal" /usr/share/aclocal/dirlist &&
+
+cat > /etc/skel/.gtkrc-2.0 << "EOF" &&
+gtk-icon-theme-name="Tango"
+EOF
+
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+./cis-gnome ${1} &&
+gst-register
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE} &&
+./configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} \
+ --localstatedir=/var/lib \
+ ${CONFIGURE_OPTS} &&
+make &&
+make install &&
+ldconfig
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1} &&
+./configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --localstatedir=/var/lib \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1} &&
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var/lib \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+
+ln -svf /usr/share/gnome/help/gnumeric \
+ /usr/share/gnumeric/$(get_pkg_ver ${1})/doc &&
+
+if [ $(pkg-config --variable=prefix ORBit-2.0) != "/usr" ]; then
+ mv -v /usr/lib/bonobo/servers/GNOME_Gnumeric.server \
+ $(pkg-config --variable=prefix ORBit-2.0)/lib/bonobo/servers &&
+ rmdir -v /usr/lib/{bonobo/servers,bonobo}
+fi &&
+
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ ${CONFIGURE_OPTS} &&
+make &&
+make pkgconfigdir=/usr/lib/pkgconfig install &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc &&
+make &&
+make install &&
+cd ${LFS_TMP}/${1} &&
+install -v -m644 -D docs/mb_howto.txt /usr/share/doc/${1}/mb_howto.txt &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=/usr \
+ --libexecdir=/usr/lib/metacity \
+ --with-gconf-schema-file-dir=/etc/gnome/${GNOME2_VER}/gconf/schemas \
+ --sysconfdir=/etc &&
+make &&
+make install &&
+cd ${LFS_TMP}/${1} &&
+install -v -m755 -d /usr/share/doc/${1} &&
+install -v -m644 README rationales.txt doc/*.txt /usr/share/doc/${1} &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --localstatedir=/var/lib \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+install -v -m755 -d ${GNOME2_PREFIX}/share/doc/${NAUTILUS} &&
+install -v -m644 ${LFS_TMP}/${1}/docs/*.{txt,dia,pdf,sxw,faq,html} \
+ ${GNOME2_PREFIX}/share/doc/${NAUTILUS} &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Must be defined before sourcing other files.
+LFS_STAGE="stage4"
+
+# Reading system configuration informations, functions and package versions.
+source ../functions
+source ../functions-update
+source ../packages-list
+
+update_packages_init
+
+# Begin
+
+# Gnome 2 core packages
+fpkg_gnome ${ORBIT2}
+fpkg_gnome ${LIBBONOBO}
+fpkg_gnome ${GCONF}
+fpkg_gnome ${GNOME_MIME_DATA}
+fpkg_gnome ${GNOME_VFS}
+fpkg_gnome ${GNOME_VFS_MONIKERS}
+fpkg_gnome ${LIBGNOME}
+fpkg_gnome ${LIBGNOMECANVAS}
+fpkg_gnome ${LIBBONOBOUI}
+fpkg_gnome ${GNOME_ICON_THEME}
+fpkg_gnu ${LIBTASN1}
+fpkg_gnome ${GNOME_KEYRING}
+fpkg_gnome ${LIBGNOMEUI}
+fpkg_gnome ${GNOME_THEMES}
+fpkg_gnome ${SCROLLKEEPER}
+fpkg_gnome ${GNOME_DOC_UTILS}
+fpkg_gnome ${GNOME_DESKTOP}
+fpkg_gnome ${GNOME_BACKGROUNDS}
+fpkg_gnome ${GNOME_MENUS}
+fpkg_gnome ${GNOME_PANEL}
+fpkg_gnome ${GNOME_SESSION}
+fpkg_gnome ${VTE}
+fpkg_gnome ${GNOME_TERMINAL}
+fpkg_gnome ${LIBGTOP}
+fpkg_gnome ${LIBGNOMEKBD}
+fpkg_gnome ${LIBGAIL_GNOME}
+fpkg_gnome ${GNOME_APPLETS}
+fpkg_gnome ${EEL}
+fpkg_gnome ${NAUTILUS}
+fpkg_gnome ${YELP}
+fpkg_gnome ${METACITY}
+fpkg_gnome ${GNOME_CONTROL_CENTER}
+fpkg_gnome ${GNOME_USER_DOCS}
+
+# Gnome 2 additional packages - Libraries
+fpkg_gnome ${LIBGNOMECUPS}
+fpkg_gnome ${LIBGNOMEPRINT}
+fpkg_gnome ${LIBGNOMEPRINTUI}
+fpkg_gnome ${GTKHTML}
+fpkg_gnome ${EVOLUTION_DATA_SERVER}
+fpkg_gnome ${GTKSOURCEVIEW}
+fpkg_gnome ${SYSTEM_TOOLS_BACKENDS}
+fpkg_gnome ${GNOME_AUDIO}
+
+# Gnome 2 additional packages - Utilities
+fpkg_gnome ${GEDIT}
+fpkg_gnome ${EOG}
+fpkg_gnome ${EVINCE}
+fpkg_gnome ${FILE_ROLLER}
+fpkg_gnome ${GCONF_EDITOR}
+fpkg_gnome ${GNOME_UTILS}
+fpkg_gnome ${GNOME_SYSTEM_MONITOR}
+fpkg_gnome ${NAUTILUS_CD_BURNER}
+fpkg_gnome ${GSTREAMER}
+fpkg_gnome ${GST_PLUGINS_BASE}
+fpkg ${GST_PLUGINS_GOOD} "http://gstreamer.freedesktop.org/src/gst-plugins-good"
+fpkg ${GST_PLUGINS_BAD} "http://gstreamer.freedesktop.org/src/gst-plugins-bad"
+fpkg ${GST_PLUGINS_UGLY} "http://gstreamer.freedesktop.org/src/gst-plugins-ugly"
+fpkg ${GST_FFMPEG} "http://gstreamer.freedesktop.org/src/gst-ffmpeg"
+fpkg_gnome ${GNOME_MEDIA}
+fpkg_gnome ${GNOME_NETSTATUS}
+fpkg_gnome ${GCALCTOOL}
+fpkg_gnome ${GUCHARMAP}
+fpkg_gnome ${ZENITY}
+
+fpkg_gnome ${GNOME_KEYRING_MANAGER}
+fpkg_gnome ${GNOME_VOLUME_MANAGER}
+fpkg ${LIBMUSICBRAINZ} "http://ftp.musicbrainz.org/pub/musicbrainz"
+fpkg_gnome ${GNOME_SOUND_JUICER}
+fpkg ${ISO_CODES} "ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes"
+
+fpkg_gnome ${GNOME_TOTEM}
+fpkg_gnome ${GDM}
+fpkg ${LIBNOTIFY} "http://www.galago-project.org/files/releases/source/libnotify"
+fpkg ${GNOME_MOUNT} "http://people.freedesktop.org/~david/dist"
+
+fpkg_gnome ${RHYTHMBOX}
+
+fpkg_gnome ${LIBGSF}
+fpkg_gnome ${GOFFICE}
+fpkg_gnome ${GNUMERIC}
+fpkg_sf ${WV}
+fpkg ${ABIWORD} "http://www.abisource.com/downloads/abiword/$(get_pkg_ver ${ABIWORD})/source"
+
+fpkg_gnome ${EVOLUTION_EXCHANGE}
+fpkg_gnome ${EVOLUTION}
+
+fpkg ${LIBGPG_ERROR} "http://ftp.gnupg.org/gcrypt/libgpg-error"
+fpkg ${LIBGCRYPT} "http://ftp.gnupg.org/gcrypt/libgcrypt"
+fpkg ${GNUTLS} "http://ftp.gnupg.org/gcrypt/gnutls"
+fpkg_sf ${PIDGIN}
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+ echo "You must be the superuser to install hvlinux."
+ exit 1
+fi
+
+init_log_file
+
+ipkg_gnome ${LIBGNOMECUPS}
+ipkg_gnome ${EVINCE}
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+ echo "You must be the superuser to install hvlinux."
+ exit 1
+fi
+
+init_log_file
+
+# GNOME-2.X configuration
+action_checkbox "Configuring ${GNOME2_VER}" ./cis-gnome-config
+action_checkbox "Reloading /etc/profile" source /etc/profile
+
+# Gnome 2 core packages
+ipkg_gnome ${ORBIT2}
+ipkg_gnome ${LIBBONOBO}
+ipkg_cust ${GCONF} cis-gconf
+ipkg_gnome ${GNOME_MIME_DATA}
+####ipkg_cust ${GNOME_VFS} cis-gnome-nb
+####ipkg_gnome ${GNOME_VFS_MONIKERS}
+ipkg_gnome ${LIBGNOME}
+ipkg_gnome ${LIBGNOMECANVAS}
+ipkg_gnome ${LIBBONOBOUI}
+ipkg_ac ${GNOME_ICON_THEME}
+ipkg_ac ${LIBTASN1}
+ipkg_gnome ${GNOME_KEYRING}
+ipkg_gnome ${LIBGNOMEUI}
+ipkg_ac ${GNOME_THEMES}
+ipkg_ac_nb ${SCROLLKEEPER} "--localstatedir=/var --disable-static --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf"
+ipkg_gnome ${GNOME_DOC_UTILS}
+ipkg_gnome ${GNOME_DESKTOP}
+ipkg_gnome ${GNOME_BACKGROUNDS}
+ipkg_gnome ${GNOME_MENUS}
+ipkg_gnome ${GNOME_PANEL}
+ipkg_ac ${GSTREAMER}
+ipkg_ac ${GST_PLUGINS_BASE}
+ipkg_ac ${GST_PLUGINS_GOOD}
+ipkg_ac ${GST_PLUGINS_BAD}
+ipkg_ac ${GST_PLUGINS_UGLY}
+ipkg_ac ${GST_FFMPEG}
+ipkg_ac ${VTE} "--libexecdir=/usr/sbin --disable-gtk-doc"
+ipkg_gnome ${GNOME_TERMINAL}
+ipkg_gnome ${LIBGTOP}
+ipkg_gnome ${LIBGNOMEKBD}
+ipkg_gnome ${LIBGAIL_GNOME}
+ipkg_cust ${GNOME_APPLETS} cis-gnome-applets
+ipkg_gnome ${EEL}
+ipkg_gnome ${NAUTILUS}
+ipkg_gnome ${YELP}
+ipkg_cust ${METACITY} cis-metacity
+
+ipkg_gnome ${GNOME_CONTROL_CENTER}
+ipkg_gnome ${GNOME_SESSION}
+ipkg_gnome ${GNOME_USER_DOCS}
+action_checkbox "Updating the MIME-type application database" update-desktop-database
+
+# Gnome 2 additional packages - Libraries
+####ipkg_gnome ${LIBGNOMECUPS}
+####ipkg_gnome ${LIBGNOMEPRINT}
+####ipkg_gnome ${LIBGNOMEPRINTUI}
+ipkg_gnome ${GTKHTML}
+ipkg_gnome ${EVOLUTION_DATA_SERVER} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
+ipkg_gnome ${GTKSOURCEVIEW}
+ipkg_cust ${SYSTEM_TOOLS_BACKENDS} cis-gnome-nobuild
+ipkg_cust ${GNOME_AUDIO} cis-gnome-audio
+
+# Gnome 2 additional packages - Utilities
+ipkg_gnome ${GEDIT} "--disable-spell"
+ipkg_gnome ${EOG}
+ipkg_gnome ${EVINCE}
+ipkg_gnome ${FILE_ROLLER}
+ipkg_gnome ${GCONF_EDITOR}
+ipkg_gnome ${GNOME_UTILS}
+ipkg_gnome ${GNOME_SYSTEM_MONITOR}
+ipkg_gnome ${NAUTILUS_CD_BURNER}
+ipkg_gnome ${GNOME_MEDIA}
+ipkg_gnome ${GNOME_NETSTATUS}
+ipkg_cust ${GCALCTOOL} cis-gnome-nobuild
+ipkg_gnome ${GUCHARMAP}
+ipkg_gnome ${ZENITY}
+ipkg_gnome ${GNOME_KEYRING_MANAGER}
+
+# Needs hal, which needs D-BUS...
+ipkg_gnome ${GNOME_VOLUME_MANAGER}
+
+ipkg_cust ${LIBMUSICBRAINZ} cis-libmusicbrainz
+ipkg_gnome ${GNOME_SOUND_JUICER}
+ipkg_cust ${ISO_CODES} cis-iso-codes
+ipkg_gnome ${GNOME_TOTEM}
+ipkg_cust ${GDM} cis-gdm
+ipkg_ac ${LIBNOTIFY}
+ipkg_cust ${GNOME_MOUNT} cis-gnome-nobuild
+
+ipkg_ac ${RHYTHMBOX} "--disable-python"
+
+ipkg_ac ${LIBGSF}
+ipkg_ac_nb ${GOFFICE}
+ipkg_cust ${GNUMERIC} cis-gnumeric
+ipkg_ac ${WV}
+ipkg_ac ${ABIWORD} "--disable-spellcheck"
+ipkg_gnome ${EVOLUTION} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
+ipkg_gnome ${EVOLUTION_EXCHANGE}
+ipkg_ac ${LIBGPG_ERROR}
+ipkg_ac ${LIBGCRYPT}
+ipkg_ac ${GNUTLS}
+ipkg_ac ${PIDGIN}
+
+exit $?